TinyXML-2: tinyxml2::XMLAttribute Class Reference

TinyXML-2 10.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
tinyxml2::XMLAttribute Class Reference

`#include <tinyxml2.h>`

## Public Member Functions
const char * | Name () const
| The name of the attribute.
const char * | Value () const
| The value of the attribute.
int | GetLineNum () const
| Gets the line number the attribute is in, if the document was parsed from a file.
const XMLAttribute * | Next () const
| The next attribute in the list.
int | IntValue () const
unsigned | UnsignedValue () const
| Query as an unsigned integer. See IntValue()
bool | BoolValue () const
| Query as a boolean. See IntValue()
double | DoubleValue () const
| Query as a double. See IntValue()
float | FloatValue () const
| Query as a float. See IntValue()
XMLError | QueryIntValue (int *value) const
XMLError | QueryUnsignedValue (unsigned int *value) const
| See QueryIntValue.
XMLError | QueryInt64Value (int64_t *value) const
| See QueryIntValue.
XMLError | QueryUnsigned64Value (uint64_t *value) const
| See QueryIntValue.
XMLError | QueryBoolValue (bool *value) const
| See QueryIntValue.
XMLError | QueryDoubleValue (double *value) const
| See QueryIntValue.
XMLError | QueryFloatValue (float *value) const
| See QueryIntValue.
void | SetAttribute (const char *value)
| Set the attribute to a string value.
void | SetAttribute (int value)
| Set the attribute to value.
void | SetAttribute (unsigned value)
| Set the attribute to value.
void | SetAttribute (int64_t value)
| Set the attribute to value.
void | SetAttribute (uint64_t value)
| Set the attribute to value.
void | SetAttribute (bool value)
| Set the attribute to value.
void | SetAttribute (double value)
| Set the attribute to value.
void | SetAttribute (float value)
| Set the attribute to value.

## Detailed Description

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note
  The attributes are not XMLNodes. You may only query the Next() attribute in a list.

## Member Function Documentation

## ◆ IntValue()

int tinyxml2::XMLAttribute::IntValue | ( |  | ) | const
| inline

IntValue interprets the attribute as an integer, and returns the value. If the value isn't an integer, 0 will be returned. There is no error checking; use QueryIntValue() if you need error checking.

## ◆ QueryIntValue()

XMLError tinyxml2::XMLAttribute::QueryIntValue | ( | int * | value | ) | const

QueryIntValue interprets the attribute as an integer, and returns the value in the provided parameter. The function will return XML_SUCCESS on success, and XML_WRONG_ATTRIBUTE_TYPE if the conversion is not successful.

The documentation for this class was generated from the following file:

- tinyxml2.h